Summary:	ACME the Versatile Keyboard daemon
Name:           acme
Version:        2.4.3
Release:        %mkrel 7
Group:          Graphical desktop/GNOME 
License:	GPL
URL:            http://devin.com/acme/
Source0:        http://devin.com/acme/download/%{name}-%{version}.tar.bz2
# (fc) 2.4.2-2mdk fix icon path (Mdk bug #7286)
Patch0:		acme-2.4.2-iconpath.patch.bz2
# (fc) 2.4.3-1mdk fix window location (Mdk bug #11026)
Patch1:		acme-2.4.2-location.patch.bz2
# (fc) 2.4.3-1mdk fix compilation with latest libwnck
Patch2:		acme-2.4.3-libwnck.patch.bz2
# (fc) 2.4.3-1mdk fix build with latest libegg
Patch3:		acme-2.4.3-newegg.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	libalsa-devel
BuildRequires:  libwnck-devel >= 2.1.5
BuildRequires:  perl(XML::Parser)

%description
ACME is a small GNOME tool to make use of the multimedia buttons present on
most laptops and internet keyboards: Volume, Brightness, Power, Eject, My Home,
Search, E-Mail, Sleep, Screensaver, Finance and Help buttons.

%prep
%setup -q
%patch0 -p1 -b .iconpath
%patch1 -p1 -b .location
%patch2 -p1 -b .libwnck
%patch3 -p1 -b .newegg

%build

%configure2_5x

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/acme-properties" \
needs="GNOME" section="Configuration/GNOME" title="Multimedia Keys" \
longtitle="Configure multimedia keys behaviour" icon="/usr/share/acme/acme-48.png" \
startup_notify="true" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Multimedia Keys
Comment=Configure multimedia keys behaviour
Exec=%{_bindir}/acme-properties
Icon=/usr/share/acme/acme-48.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;X-MandrivaLinux-System-Configuration-GNOME;Settings;DesktopSettings;GNOME;
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/acme.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/acme.schemas > /dev/null
fi

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/acme
%{_datadir}/control-center-2.0/capplets/*
%{_menudir}/*
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Mon Sep 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.3-7mdv2007.0
- XDG

* Tue Jun 27 2006 Lenny Cartier <lenny@mandriva.com> 2.4.3-6mdv2007.0
- rebuild

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.4.3-5mdk
- rebuild for new libwnck

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.3-4mdk
- Fix BuildRequires

* Fri May 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.3-3mdk
- Rebuild

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-2mdk
- Update patch1 to really fix bug 11026

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-1mdk 
- Release 2.4.3
- Fix url
- Patch1 (CVS): fix window location (Mdk bug #11026)
- Patch2: fix compilation with latest libwnck
- Patch3: fix build with latest libegg

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Fix BuildRequires

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-2mdk
- Patch0: fix icon path (Mdk bug #7286)

* Wed Nov 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.4-2mdk
- Rebuild with latest ORBit2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.4-1mdk
- Release 2.0.4

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.3-1mdk
- Release 2.0.3
- Remove patch0 (merged upstream)

* Fri Mar  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.2-3mdk
- Patch0 (CVS): fix translation (Mdk bug 1727)

* Sat Feb 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.2-2mdk
- Buildrequires libwnck-devel

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Rebuild against latest openssl

* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Release 2.0

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.13-1mdk
- Release 1.99.13

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.12-1mdk
- Release 1.99.12

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.10-1mdk
- Release 1.99.10

* Fri Nov 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-1mdk
- Initial Mandrake package

* Mon Sep 23 2002 Bastien Nocera <hadess@hadess.net>
- More hacking
* Mon Sep 23 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- First attempt at SPEC
